| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Public Attributes | List of all members
ARParam Struct Reference

Structure holding camera parameters, including image size, projection matrix and lens distortion parameters. More...

`#include <param.h>`

## Public Attributes
int | xsize
| The width in pixels of images returned by arVideoGetImage() for the camera.
int | ysize
| The height in pixels of images returned by arVideoGetImage() for the camera.
ARdouble | mat [3][4]
| The projection matrix for the calibrated camera parameters. This can be converted to an OpenGL projection matrix by the function arglCameraFrustumRHf().
ARdouble | dist_factor [AR_DIST_FACTOR_NUM_MAX]
| See function arParamObserv2Ideal() for discussion.
int | dist_function_version
| See function arParamObserv2Ideal() for discussion. Must be last field in structure (as will not be written to disk).

## Detailed Description

Structure holding camera parameters, including image size, projection matrix and lens distortion parameters.

artoolkitX's tracking depends on accurate knowledge of the properties of the imaging system used to acquire input images. This structure holds the properties of an imaging system for internal use in artoolkitX. This information is used throughout the entire artoolkitX pipeline, including knowing the size of images being returned by the video library, marker detection and pose estimation, and warping of camera images for video-see-through registration.

See also
  arParamClear
  arParamLoad
  arParamSave

## Member Data Documentation

## ◆ dist_factor

ARdouble ARParam::dist_factor[AR_DIST_FACTOR_NUM_MAX]

See function arParamObserv2Ideal() for discussion.

## ◆ dist_function_version

int ARParam::dist_function_version

See function arParamObserv2Ideal() for discussion. Must be last field in structure (as will not be written to disk).

## ◆ mat

ARdouble ARParam::mat[3][4]

The projection matrix for the calibrated camera parameters. This can be converted to an OpenGL projection matrix by the function arglCameraFrustumRHf().

## ◆ xsize

int ARParam::xsize

The width in pixels of images returned by arVideoGetImage() for the camera.

## ◆ ysize

int ARParam::ysize

The height in pixels of images returned by arVideoGetImage() for the camera.

The documentation for this struct was generated from the following file:

- Source/ARX/AR/include/ARX/AR/param.h